Bug 483539 - nm-connection-editor has a bug that makes it impossible to use TLS-secured wireless networks.
nm-connection-editor has a bug that makes it impossible to use TLS-secured wi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 05:05 EST by martin
Modified: 2014-09-29 07:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:46:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File dialogue. (88.20 KB, image/jpeg)
2009-02-02 05:07 EST, martin
no flags Details

  None (edit)
Description martin 2009-02-02 05:05:53 EST
Description of problem:

When trying to connect to a wireless network that's using TLS security it is not possible to load a private key (wireless.p12) because the file isn't visibile in the dialogue.

Version-Release number of selected component (if applicable):

NetworkManager-gnome-0.7.0-1.git20090102.fc10.x86_64

How reproducible:

Always.

Steps to Reproduce:

See attached image. There is a valid file called wireless.p12 in my home dir, despite that it's not visible in the dialogue.

Actual results:

File not visible.

Expected results:

File should be visible and loadable.

Additional info:
Comment 1 martin 2009-02-02 05:07:25 EST
Created attachment 330610 [details]
File dialogue.
Comment 2 Dan Williams 2009-02-03 11:56:26 EST
For a .p12 file of mine, I get this output from the following command.  Does yours look similar?

[dcbw@localhost ~]$ openssl pkcs12 -in ~/Desktop/certinfra/foo/test-bundle.p12
Enter Import Password:
MAC verified OK
Bag Attributes
    localKeyID: 3B 13 1B 2C DE 8E 20 65 EB DD E2 42 B3 0F D8 9D 8F BF 27 39 
    friendlyName: test p12 cert
subject=/C=US/ST=Massachusetts/O=Red Hat, Inc./OU=Engineering/CN=client/emailAddress=it@it.com
issuer=/C=US/ST=Massachusetts/L=Westford/O=Red Hat, Inc./OU=Engineering/CN=eaptest/emailAddress=it@it.com
-----BEGIN CERTIFICATE-----
MIIEtDCCA5ygAwIBAgIBAjANBgkqhkiG9w0BAQQFADCBkjELMAkGA1UEBhMCVVMx
FjAUBgNVBAgTDU1hc3NhY2h1c2V0dHMxETAPBgNVBAcTCFdlc3Rmb3JkMRYwFAYD
VQQKEw1SZWQgSGF0LCBJbmMuMRQwEgYDVQQLEwtFbmdpbmVlcmluZzEQMA4GA1UE
AxMHZWFwdGVzdDEYMBYGCSqGSIb3DQEJARYJaXRAaXQuY29tMB4XDTA3MTEwOTE1
Comment 3 martin 2009-02-04 03:40:47 EST
More or less.

[martin@Gripen wireless]$ openssl pkcs12 -in wireless.p12 
Enter Import Password:
MAC verified OK
Bag Attributes
    friendlyName: Persson Martin-BPW386's  ID
    localKeyID: A4 DE 98 9F 6E 1E 0B DB 6B A3 1A D3 64 23 CB 75 A3 D9 82 2F 
Key Attributes: <No Attributes>
Enter PEM pass phrase:
Verifying - Enter PEM pass phrase:
-----BEGIN RSA PRIVATE KEY-----
[SNIP]
-----END RSA PRIVATE KEY-----
Bag Attributes
    friendlyName: Persson Martin-BPW386's  ID
    localKeyID: A4 DE 98 9F 6E 1E 0B DB 6B A3 1A D3 64 23 CB 75 A3 D9 82 2F 
subject=/CN=Persson Martin-BPW386
issuer=/DC=com/DC=mot/CN=DE01PKC01B
-----BEGIN CERTIFICATE-----
[SNIP]

When I converted the p12-file to a pem-file with:

openssl pkcs12 -in wireless.p12 -clcerts -out wireless.pem

it seems to be accepted. Something still doesn't quite work but that doesn't necessarily have to be the computers fault...
Comment 4 Dan Williams 2009-02-05 06:16:34 EST
Could you grab the program here:

http://bigw.org/~dan/test-crypto

and run it on your p12 file?  This is a test program built during the NM build process that uses the same internal functions as the filechooser does.  For example:

[dcbw@localhost] test-crypto key test.p12 my-password
** Message: Original format: pkcs#12
[dcbw@localhost]

Also, how large is your p12 file in bytes?
Comment 5 Niels Haase 2009-04-10 16:15:54 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 martin 2009-04-14 04:41:16 EDT
Sorry, I've been a bit distracted by work lately. Deadline closing in for both of my jobs, bad timing...

The p12-file is 2644 bytes and the program won't run because it just says:

Usage: ./test-crypto cert <file>
       ./test-crypto key <file> <password>

no matter what parameters I give (yes, I've given both file and password to it although it did chill my bones doing so). Care to give me the source file instead so I have a sporting chance to see WHY it refuses to do anything?

The wireless works however. By converting the p12-file to pem it was accepted and the authentication works like a charm.
Comment 8 Bug Zapper 2009-11-18 05:57:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Michal Ambroz 2009-12-11 11:33:42 EST
Could it be that the sample pkcs12 file is having key first and certificate follows? Anybody knows how to create such p12 file? It seems it is not possible with openssl.
Comment 10 Bug Zapper 2009-12-18 02:46:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.